Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class FlatFileOptionsImpl

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsImpl

All Implemented Interfaces:
  FlatFileOptions

    public class FlatFileOptionsImpl

extends java.lang.Object
implements FlatFileOptions

Constructor Summary
`FlatFileOptionsImpl(java.nio.charset.Charset charset, boolean delimitedFile, boolean countPositionsInBytes)`
`FlatFileOptionsImpl(FlatFileOptions defaults)`

Method Summary
`Alignment` | `getAlignment()`
`ByteTrimmer` | `getByteTrimmer()`
`java.nio.charset.Charset` | `getCharset()`
`CharTrimmer` | `getCharTrimmer()`
`CommentStarter` | `getCommentStarter()`
`CommentStarterByteChecker` | `getCommentStarterByteChecker()`
`CommentStarterCharChecker` | `getCommentStarterCharChecker()`
`java.nio.charset.Charset` | `getDefaultCharset()`
`DelimiterByteChecker[]` | `getFieldDelimiterByteCheckers()`
`DelimiterCharChecker[]` | `getFieldDelimiterCharCheckers()`
`Delimiter[]` | `getFieldDelimiters()`
`DelimiterByteChecker[]` | `getNameDelimiterByteCheckers()`
`DelimiterCharChecker[]` | `getNameDelimiterCharCheckers()`
`Delimiter[]` | `getNameDelimiters()`
`char` | `getPadCharacter()`
`QuoteSymbol` | `getQuoteSymbol()`
`QuoteSymbolByteChecker` | `getQuoteSymbolByteChecker()`
`QuoteSymbolCharChecker` | `getQuoteSymbolCharChecker()`
`DelimiterByteChecker[]` | `getRecordDelimiterByteCheckers()`
`DelimiterCharChecker[]` | `getRecordDelimiterCharCheckers()`
`Delimiter` | `getRecordDelimiterForWriting()`
`Delimiter[]` | `getRecordDelimiters()`
`DelimiterByteChecker[]` | `getRepeatDelimiterByteCheckers()`
`DelimiterCharChecker[]` | `getRepeatDelimiterCharCheckers()`
`Delimiter[]` | `getRepeatDelimiters()`
`DelimiterByteChecker[]` | `getSegmentDelimiterByteCheckers()`
`DelimiterCharChecker[]` | `getSegmentDelimiterCharCheckers()`
`Delimiter[]` | `getSegmentDelimiters()`
`DelimiterByteChecker[]` | `getSubfieldDelimiterByteCheckers()`
`DelimiterCharChecker[]` | `getSubfieldDelimiterCharCheckers()`
`Delimiter[]` | `getSubfieldDelimiters()`
`boolean` | `isAlwaysQuote()`
`boolean` | `isCountPositionsInBytes()`
`boolean` | `isFlushRecordOnWrite()`
`boolean` | `isIgnoreEmptyLines()`
`boolean` | `isIgnoreTrailingEmptyLines()`
`boolean` | `isLineDelimited()`
`boolean` | `isOmitFinalFieldDelimiter()`
`boolean` | `isOmitFinalRepeatDelimiter()`
`boolean` | `isQuote()`
`boolean` | `isTrimLeading()`
`boolean` | `isTrimLeadingWithinQuotes()`
`boolean` | `isTrimTrailing()`
`boolean` | `isTrimTrailingWithinQuotes()`
`void` | `setAlignment(Alignment alignment)`
`void` | `setAlwaysQuote(boolean alwaysQuote)`
`void` | `setCommentStarter(CommentStarter commentStarter)`
`void` | `setCountPositionsInBytes(boolean countPositionsInBytes)`
`void` | `setFieldDelimiters(Delimiter[] fieldDelimiters)`
`void` | `setFlushRecordOnWrite(boolean flushRecordOnWrite)`
`void` | `setIgnoreEmptyLines(boolean ignoreEmptyLines)`
`void` | `setIgnoreTrailingEmptyLines(boolean ignoreTrailingEmptyLines)`
`void` | `setLineDelimited(boolean lineDelimited)`
`void` | `setNameDelimiters(Delimiter[] nameDelimiters)`
`void` | `setOmitFinalFieldDelimiter(boolean omitFinalFieldDelimiter)`
`void` | `setOmitFinalRepeatDelimiter(boolean omitFinalRepeatDelimiter)`
`void` | `setPadCharacter(char padCharacter)`
`void` | `setQuote(boolean quote)`
`void` | `setQuoteSymbol(QuoteSymbol quoteSymbol)`
`void` | `setRecordDelimiters(Delimiter[] recordDelimiters)`
`void` | `setRepeatDelimiters(Delimiter[] repeatDelimiters)`
`void` | `setSegmentDelimiters(Delimiter[] segmentDelimiters)`
`void` | `setSubfieldDelimiters(Delimiter[] subfieldDelimiters)`
`void` | `setTrimLeading(boolean trimLeading)`
`void` | `setTrimLeadingWithinQuotes(boolean trimLeadingWithinQuotes)`
`void` | `setTrimTrailing(boolean trimTrailing)`
`void` | `setTrimTrailingWithinQuotes(boolean trimTrailingWithinQuotes)`
`boolean` | `useQuotes(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatFileOptionsImpl

    public FlatFileOptionsImpl(java.nio.charset.Charset charset,
                               boolean delimitedFile,
                               boolean countPositionsInBytes)

### FlatFileOptionsImpl

    public FlatFileOptionsImpl(FlatFileOptions defaults)

Method Detail

### getDefaultCharset

    public java.nio.charset.Charset getDefaultCharset()

  Specified by:
    `getDefaultCharset` in interface `FlatFileOptions`

### getCharset

    public java.nio.charset.Charset getCharset()

  Specified by:
    `getCharset` in interface `FlatFileOptions`

### getByteTrimmer

    public ByteTrimmer getByteTrimmer()

  Specified by:
    `getByteTrimmer` in interface `FlatFileOptions`

### getCharTrimmer

    public CharTrimmer getCharTrimmer()

  Specified by:
    `getCharTrimmer` in interface `FlatFileOptions`

### getQuoteSymbolByteChecker

    public QuoteSymbolByteChecker getQuoteSymbolByteChecker()

  Specified by:
    `getQuoteSymbolByteChecker` in interface `FlatFileOptions`

### getQuoteSymbolCharChecker

    public QuoteSymbolCharChecker getQuoteSymbolCharChecker()

  Specified by:
    `getQuoteSymbolCharChecker` in interface `FlatFileOptions`

### getQuoteSymbol

    public QuoteSymbol getQuoteSymbol()

  Specified by:
    `getQuoteSymbol` in interface `FlatFileOptions`

### isQuote

    public boolean isQuote()

  Specified by:
    `isQuote` in interface `FlatFileOptions`

### setQuote

    public void setQuote(boolean quote)

### isAlwaysQuote

    public boolean isAlwaysQuote()

  Specified by:
    `isAlwaysQuote` in interface `FlatFileOptions`

### setAlwaysQuote

    public void setAlwaysQuote(boolean alwaysQuote)

### setQuoteSymbol

    public void setQuoteSymbol(QuoteSymbol quoteSymbol)

### isIgnoreTrailingEmptyLines

    public boolean isIgnoreTrailingEmptyLines()

  Specified by:
    `isIgnoreTrailingEmptyLines` in interface `FlatFileOptions`

### setIgnoreTrailingEmptyLines

    public void setIgnoreTrailingEmptyLines(boolean ignoreTrailingEmptyLines)

### isIgnoreEmptyLines

    public boolean isIgnoreEmptyLines()

  Specified by:
    `isIgnoreEmptyLines` in interface `FlatFileOptions`

### setIgnoreEmptyLines

    public void setIgnoreEmptyLines(boolean ignoreEmptyLines)

### isLineDelimited

    public boolean isLineDelimited()

  Specified by:
    `isLineDelimited` in interface `FlatFileOptions`

### setLineDelimited

    public void setLineDelimited(boolean lineDelimited)

### isOmitFinalFieldDelimiter

    public boolean isOmitFinalFieldDelimiter()

  Specified by:
    `isOmitFinalFieldDelimiter` in interface `FlatFileOptions`

### isOmitFinalRepeatDelimiter

    public boolean isOmitFinalRepeatDelimiter()

  Specified by:
    `isOmitFinalRepeatDelimiter` in interface `FlatFileOptions`

### setOmitFinalRepeatDelimiter

    public void setOmitFinalRepeatDelimiter(boolean omitFinalRepeatDelimiter)

### getCommentStarter

    public CommentStarter getCommentStarter()

  Specified by:
    `getCommentStarter` in interface `FlatFileOptions`

### getCommentStarterByteChecker

    public CommentStarterByteChecker getCommentStarterByteChecker()

  Specified by:
    `getCommentStarterByteChecker` in interface `FlatFileOptions`

### getCommentStarterCharChecker

    public CommentStarterCharChecker getCommentStarterCharChecker()

  Specified by:
    `getCommentStarterCharChecker` in interface `FlatFileOptions`

### setCommentStarter

    public void setCommentStarter(CommentStarter commentStarter)

### getRecordDelimiterForWriting

    public Delimiter getRecordDelimiterForWriting()

  Specified by:
    `getRecordDelimiterForWriting` in interface `FlatFileOptions`

### setOmitFinalFieldDelimiter

    public void setOmitFinalFieldDelimiter(boolean omitFinalFieldDelimiter)

### getRecordDelimiters

    public Delimiter[] getRecordDelimiters()

  Specified by:
    `getRecordDelimiters` in interface `FlatFileOptions`

### setRecordDelimiters

    public void setRecordDelimiters(Delimiter[] recordDelimiters)

### getSegmentDelimiters

    public Delimiter[] getSegmentDelimiters()

  Specified by:
    `getSegmentDelimiters` in interface `FlatFileOptions`

### setSegmentDelimiters

    public void setSegmentDelimiters(Delimiter[] segmentDelimiters)

### getFieldDelimiters

    public Delimiter[] getFieldDelimiters()

  Specified by:
    `getFieldDelimiters` in interface `FlatFileOptions`

### setFieldDelimiters

    public void setFieldDelimiters(Delimiter[] fieldDelimiters)

### getNameDelimiters

    public Delimiter[] getNameDelimiters()

  Specified by:
    `getNameDelimiters` in interface `FlatFileOptions`

### setNameDelimiters

    public void setNameDelimiters(Delimiter[] nameDelimiters)

### getRepeatDelimiters

    public Delimiter[] getRepeatDelimiters()

  Specified by:
    `getRepeatDelimiters` in interface `FlatFileOptions`

### setRepeatDelimiters

    public void setRepeatDelimiters(Delimiter[] repeatDelimiters)

### getSubfieldDelimiters

    public Delimiter[] getSubfieldDelimiters()

  Specified by:
    `getSubfieldDelimiters` in interface `FlatFileOptions`

### setSubfieldDelimiters

    public void setSubfieldDelimiters(Delimiter[] subfieldDelimiters)

### isCountPositionsInBytes

    public boolean isCountPositionsInBytes()

  Specified by:
    `isCountPositionsInBytes` in interface `FlatFileOptions`

### setCountPositionsInBytes

    public void setCountPositionsInBytes(boolean countPositionsInBytes)

### isTrimLeading

    public boolean isTrimLeading()

  Specified by:
    `isTrimLeading` in interface `FlatFileOptions`

### isTrimTrailing

    public boolean isTrimTrailing()

  Specified by:
    `isTrimTrailing` in interface `FlatFileOptions`

### isTrimLeadingWithinQuotes

    public boolean isTrimLeadingWithinQuotes()

  Specified by:
    `isTrimLeadingWithinQuotes` in interface `FlatFileOptions`

### isTrimTrailingWithinQuotes

    public boolean isTrimTrailingWithinQuotes()

  Specified by:
    `isTrimTrailingWithinQuotes` in interface `FlatFileOptions`

### setTrimLeading

    public void setTrimLeading(boolean trimLeading)

### setTrimTrailing

    public void setTrimTrailing(boolean trimTrailing)

### setTrimLeadingWithinQuotes

    public void setTrimLeadingWithinQuotes(boolean trimLeadingWithinQuotes)

### setTrimTrailingWithinQuotes

    public void setTrimTrailingWithinQuotes(boolean trimTrailingWithinQuotes)

### isFlushRecordOnWrite

    public boolean isFlushRecordOnWrite()

  Specified by:
    `isFlushRecordOnWrite` in interface `FlatFileOptions`

### setFlushRecordOnWrite

    public void setFlushRecordOnWrite(boolean flushRecordOnWrite)

### getAlignment

    public Alignment getAlignment()

  Specified by:
    `getAlignment` in interface `FlatFileOptions`

### setAlignment

    public void setAlignment(Alignment alignment)

### getPadCharacter

    public char getPadCharacter()

  Specified by:
    `getPadCharacter` in interface `FlatFileOptions`

### setPadCharacter

    public void setPadCharacter(char padCharacter)

### useQuotes

    public boolean useQuotes(java.lang.String value)

  Specified by:
    `useQuotes` in interface `FlatFileOptions`

### getRecordDelimiterByteCheckers

    public DelimiterByteChecker[] getRecordDelimiterByteCheckers()

  Specified by:
    `getRecordDelimiterByteCheckers` in interface `FlatFileOptions`

### getSegmentDelimiterByteCheckers

    public DelimiterByteChecker[] getSegmentDelimiterByteCheckers()

  Specified by:
    `getSegmentDelimiterByteCheckers` in interface `FlatFileOptions`

### getRepeatDelimiterByteCheckers

    public DelimiterByteChecker[] getRepeatDelimiterByteCheckers()

  Specified by:
    `getRepeatDelimiterByteCheckers` in interface `FlatFileOptions`

### getNameDelimiterByteCheckers

    public DelimiterByteChecker[] getNameDelimiterByteCheckers()

  Specified by:
    `getNameDelimiterByteCheckers` in interface `FlatFileOptions`

### getFieldDelimiterByteCheckers

    public DelimiterByteChecker[] getFieldDelimiterByteCheckers()

  Specified by:
    `getFieldDelimiterByteCheckers` in interface `FlatFileOptions`

### getSubfieldDelimiterByteCheckers

    public DelimiterByteChecker[] getSubfieldDelimiterByteCheckers()

  Specified by:
    `getSubfieldDelimiterByteCheckers` in interface `FlatFileOptions`

### getRecordDelimiterCharCheckers

    public DelimiterCharChecker[] getRecordDelimiterCharCheckers()

  Specified by:
    `getRecordDelimiterCharCheckers` in interface `FlatFileOptions`

### getSegmentDelimiterCharCheckers

    public DelimiterCharChecker[] getSegmentDelimiterCharCheckers()

  Specified by:
    `getSegmentDelimiterCharCheckers` in interface `FlatFileOptions`

### getRepeatDelimiterCharCheckers

    public DelimiterCharChecker[] getRepeatDelimiterCharCheckers()

  Specified by:
    `getRepeatDelimiterCharCheckers` in interface `FlatFileOptions`

### getNameDelimiterCharCheckers

    public DelimiterCharChecker[] getNameDelimiterCharCheckers()

  Specified by:
    `getNameDelimiterCharCheckers` in interface `FlatFileOptions`

### getFieldDelimiterCharCheckers

    public DelimiterCharChecker[] getFieldDelimiterCharCheckers()

  Specified by:
    `getFieldDelimiterCharCheckers` in interface `FlatFileOptions`

### getSubfieldDelimiterCharCheckers

    public DelimiterCharChecker[] getSubfieldDelimiterCharCheckers()

  Specified by:
    `getSubfieldDelimiterCharCheckers` in interface `FlatFileOptions`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD